/*
 *	$Id: Thread.h,v 1.1 2004/05/19 05:00:20 rh Exp $
 *
 * A very simple Thread object in Objective C
 *
 */

#include <pthread.h>
#import <objc/Object.h>

@interface Thread: Object
{
	pthread_t tid;		// Thread ID
	void *params;		// Thread parameters
}

- run;				// method to be invoked when thread starts
- startWithParams: (void *) p;	// invoke the run method in a new thread with
- start;			// and without parameters
- joinWithReturnValue: (void **)rv; // wait for the thread to finish with
- join;				// and without returning a value
- getParams;			// get the startup parameters

@end
